Package org.eclipse.cdt.doxygen.core

# Interface DoxygenPreferences

public interface DoxygenPreferences

## Method Summary

Modifier and Type
Method
Description
`DoxygenMetadata`
`metadata()`
Return the metadata for the options to be used in UI, must not return `null`
`org.eclipse.core.runtime.preferences.IPreferenceMetadataStore`
`projectStorage(org.eclipse.core.resources.IProject project)`
Returns the project-specific storage for doxygen options to be used in UI, must not return `null`
`org.eclipse.core.runtime.preferences.IPreferenceMetadataStore`
`workspaceStorage()`
Returns the workspace storage for doxygen options to be used in UI, must not return `null`

## Method Details

### workspaceStorage

org.eclipse.core.runtime.preferences.IPreferenceMetadataStore workspaceStorage()
Returns the workspace storage for doxygen options to be used in UI, must not return `null`

Returns:
  the workspace storage for doxygen options

### projectStorage

org.eclipse.core.runtime.preferences.IPreferenceMetadataStore projectStorage(org.eclipse.core.resources.IProject project)
Returns the project-specific storage for doxygen options to be used in UI, must not return `null`

Parameters:
  `project` - scope for the storage, must not be `null`
Returns:
  the project-specific storage for doxygen options

### metadata

DoxygenMetadata metadata()
Return the metadata for the options to be used in UI, must not return `null`

Returns:
  the doxygen option metadata